`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA02) - 3. labor                                   *
//*                                                                            *
//* 1. feladat: 2/1 s 4/1 multiplexerek.                                      *
//******************************************************************************
module lab03_1(
   input  wire [7:0] sw,
   input  wire [3:0] bt,
   output wire [7:0] ld
);

//A multiplexereket tartalmaz modul.
wire mux1_out;
wire mux2_out;

multiplexers multiplexers_i(
   .mux1_in(sw[7:6]),
   .mux1_sel(bt[3]),
   .mux1_out(mux1_out),

   .mux2_in(sw[3:0]),
   .mux2_sel(bt[1:0]),
   .mux2_out(mux2_out)
);

//A multiplexerek kimenett az LD0 s LD7 LED-ekre vezetjk.
//A nem hasznlt LED-eket kikapcsoljuk.
assign ld[0]   = mux1_out;
assign ld[6:1] = 6'b000000;
assign ld[7]   = mux2_out;

endmodule
