`timescale 1ns / 1ps

//******************************************************************************
//* Digitlis technika (VIMIAA02) - 3. labor                                   *
//*                                                                            *
//* Tesztkrnyezet az 1. feladathoz.                                           *
//******************************************************************************
module multiplexers_test;

	// Inputs
	reg [1:0] mux1_in;
	reg mux1_sel;
	reg [3:0] mux2_in;
	reg [1:0] mux2_sel;

	// Outputs
	wire mux1_out;
	wire mux2_out;

	// Instantiate the Unit Under Test (UUT)
	multiplexers uut (
		.mux1_in(mux1_in), 
		.mux1_sel(mux1_sel), 
		.mux1_out(mux1_out), 
		.mux2_in(mux2_in), 
		.mux2_sel(mux2_sel), 
		.mux2_out(mux2_out)
	);
   
   integer i;

	initial begin
		// Initialize Inputs
		mux1_in = 0;
		mux1_sel = 0;
		mux2_in = 0;
		mux2_sel = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		//Hasznljunk for ciklust a multiplexerek bemeneteinek ellltshoz.
      //Az j rtkek 10 ns-onknt kerljenek a bemenetekre az albbi mdon:
      //- mux1_in : a ciklusvltoz als 2 bitje (0. s 1. bitje)
      //- mux1_sel: a ciklusvltoz kvetkez bitje (2. bitje)
      //- mux2_in : a ciklusvltoz als 4 bitje (0., 1., 2. s 3. bitje)
      //- mux2_sel: a ciklusvltoz kvetkez 2 bitje (4. s 5. bitje)
      //
      //Hny iterci szksges a ciklusban, hogy minden bemeneti kombinci
      //tesztelve legyen?
      for (i = 0; i < ....; i = i + 1)
      begin
         mux1_in  = ....
         mux1_sel = ....
         mux2_in  = ....
         mux2_sel = ....
         #10;
      end
	end
      
endmodule

